Agent Call Outbound
curl --request POST \
--url https://api.kollie.ai/api/v1/agents/{agent_id}/call \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"to_phone": "<string>",
"prompt_params": {},
"meta": {}
}
'import requests
url = "https://api.kollie.ai/api/v1/agents/{agent_id}/call"
payload = {
"to_phone": "<string>",
"prompt_params": {},
"meta": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({to_phone: '<string>', prompt_params: {}, meta: {}})
};
fetch('https://api.kollie.ai/api/v1/agents/{agent_id}/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Data created correctly",
"meta": {},
"data": {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"conversation_id": "<string>",
"transcript": "<string>",
"duration": 123,
"cost": 0,
"notes": "<string>",
"recording_url": "<string>",
"events": [
{}
],
"prompt_params": {},
"call_extract": {},
"external_last_status": "<string>",
"meta": {},
"system_prompt": "<string>",
"comments": "<string>",
"quality": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"tags": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
Make Call
POST
/
api
/
v1
/
agents
/
{agent_id}
/
call
Agent Call Outbound
Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Body
application/json
⌘I

